Module | Sequel::Plugins::PgTypecastOnLoad::ClassMethods
In: | lib/sequel/plugins/pg_typecast_on_load.rb

### Methods

add_pg_typecast_on_load_columns inherited

### Attributes

pg_typecast_on_load_columns | [R] | The columns to typecast on load for this model.

### Public Instance methods

add_pg_typecast_on_load_columns(*columns)

Add additional columns to typecast on load for this model.

[Source]

        # File lib/sequel/plugins/pg_typecast_on_load.rb, line 40
    40:         def add_pg_typecast_on_load_columns(*columns)
    41:           @pg_typecast_on_load_columns.concat(columns)
    42:         end

inherited(subclass)

Give the subclass a copy of the columns to typecast on load.

[Source]

        # File lib/sequel/plugins/pg_typecast_on_load.rb, line 45
    45:         def inherited(subclass)
    46:           super
    47:           subclass.instance_variable_set(:@pg_typecast_on_load_columns, pg_typecast_on_load_columns.dup)
    48:         end

[Validate]